## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationPasswordCredentials

### Authentication::ezcAuthenticationPasswordCredentials

### Class ezcAuthenticationPasswordCredentials

Structure containing an id and password, used as authentication credentials.

Source for this file: /Authentication/src/credentials/password_credentials.php

    ezcBaseStruct
       |
       --ezcAuthenticationCredentials
          |
          --ezcAuthenticationPasswordCredentials

Version: | //autogen//

### Member Variables

public string | `$id` Username or userID or url.
public string | `$password` Password for the id.

### Method Summary

public static ezcAuthenticationPasswordCredentials | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcAuthenticationPasswordCredentials | `__construct( $id , $password )` Constructs a new ezcAuthenticationPasswordCredentials object.
public string | `__toString( )` Returns string representation of the credentials.

### Inherited Methods

From ezcAuthenticationCredentials
public abstract string | `ezcAuthenticationCredentials::__toString()` Returns string representation of the credentials.

### Methods

#### __set_state

static ezcAuthenticationPasswordCredentials __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) | Associative array of data members for this class

#### __construct

ezcAuthenticationPasswordCredentials __construct( string $id , string $password )

Constructs a new ezcAuthenticationPasswordCredentials object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$password` | string |

#### __toString

string __toString( )

Returns string representation of the credentials.

Use it to save the credentials in the session.

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationCredentials::__toString()` | Returns string representation of the credentials.

Documentation generated by phpDocumentor 1.4.3